<?php
$factory->define(RethinkLegacyDashboard\Model\DashboardOrganization::class, function (\Faker\Generator $faker) {
    
    $acctID =  'SEEDACCT' . strtoupper(str_random(8));

    $principal = factory(RethinkLegacyDashboard\Model\DashboardUser::class)->create([
        'userFinancialSuper' => 1,
        'userAcctID' => $acctID
        ]);

    return [
        'acctID'=> $acctID,
        'acctActive'=> 1,
        'acctType'=> 'religious',
        'acctSubType'=> '',
        'acctPrincipal'=> "{$principal->firstName} {$principal->lastName}",
        'acctPrincipalJobTitle'=> is_null($principal->userJobTitle) ? '' : $principal->userJobTitle,
        'acctSmallGroupCoach'=> '',
        'acctPreschoolDirector'=> '',
        'acctPreschoolDirectorEmail'=> '',
        'acctChildrenDirector'=> '',
        'acctChildrenDirectorEmail'=> '',
        'acctStudentDirector'=> '',
        'acctStudentDirectorEmail'=> '',
        'acctFamilyDirector'=> '',
        'acctFamilyDirectorEmail'=> '',
        'acctName'=> $faker->company(),
        'acctPhysAddress1'=> $faker->streetAddress(),
        'acctPhysAddress2'=> collect([$faker->secondaryAddress(), '', '', ''])->random(),
        'acctPhysCity'=> $faker->city(),
        'acctPhysState'=> $faker->stateAbbr(),
        'acctPhysZip'=> $faker->postcode(),
        'acctCountry'=> 'US',
        'acctLatitude'=> $faker->latitude(),
        'acctLongitude'=> $faker->longitude(),
        'acctMapDisplay'=> 1,
        'acctMailAddress1'=> '',
        'acctMailAddress2'=> '',
        'acctMailCity'=> '',
        'acctMailState'=> '',
        'acctMailZip'=> '',
        'acctPhone'=> collect([$faker->e164PhoneNumber(), ''])->random(),
        'acctFax'=> collect([$faker->e164PhoneNumber(), ''])->random(),
        'acctYearEst'=> $faker->year(),
        'acctCreateDate'=> $faker->dateTimeBetween('2002-01-01', 'now'),
        'acctMemberCount'=> rand(10,15000),
        'acctRev'=> rand(0,1),
        'acctSnapShot'=> '',
        'acctParent'=> collect(['primary', ''])->random(),
        'acctTestLevel'=> 0,
        'acctOrangeLevel'=> 0,
        'acctComplete'=> 1,
        'acctTopInfluencers'=> 0,
        'acctDenomination'=> '',
        'acctNetworkAffiliation'=> '',
        'acctNetworkAffiliationOther'=> '',
        'acctEnvironment'=> '',
        'acctRegularAttendance'=> rand(10,15000),
        'acctPreschoolMinistrySize'=> 0,
        'acctElementaryMinistrySize'=> 0,
        'acctMiddleSchoolMinistrySize'=> 0,
        'acctHighSchoolMinistrySize'=> 0,
        'acctAddressCleanTimeStamp'=> '1900-01-01 00:00:00',
        'acctAddressCleanAddress'=> '',
        'acctAddressCleanCity'=> '',
        'acctAddressCleanState'=> '',
        'acctAddressCleanZip'=> '',
        'acctAddressCleanCountry'=> '',
        'acctAddressCleanAttemptTimeStamp'=> '1900-01-01 00:00:00',
        'acctAddressCleanAttemptError'=> '',
        'acctAddressCleanAttemptMessage'=> '',
        'acctOBR_organization_id' => 0,
        'acctOBR_organization_created_at' => '1900-01-01 00:00:00'
    ];
});
